× This site has been deprecated. Proceed to Awit Otaku
× Join our Japanese Karaoke Facebook group! Sign up here

# All Songs

All - A - B - C - D - E - F - G - H - I - J - K - L - M - N - O - P - Q - R - S - T - U - V - W - X - Y - Z

Name | Alternative/Original Name | Notes | Artist | Availability
--- | --- | --- | --- | ---
Yubiwa | 指輪 | Escaflowne Movie ED | Maaya Sakamoto | KY TJ
Yuki no Hana | 雪の華 |  | Mika Nakashima | KY TJ
YUME SEKAI | ユメセカイ | Sword Art Online ED1 | Haruka Tomatsu | KY
Yurameki | ゆらめき | Nihon-ichi no Otoko no Tamashii OP | DIR EN GREY | KY TJ
Yuukyou Seishunka | 勇侠青春謳 | Code Geass ED1 | ALI PROJECT | KY TJ
Yuuwaku | 誘惑 |  | GLAY | KY TJ
Yuzurenai Negai | ゆずれない願い | Magic Knight Rayearth OP | Naomi Tamura | KY TJ
-Zan- | 残 -ZAN- |  | DIR EN GREY | KY TJ
Zankoku na Tenshi no THESE |  | Evangelion OP | Youko Takahashi | KY TJ
Zombie |  |  | The Cranberries | KY P TJ
Zutto Futari de... | ずっと2人で・・・ |  | GLAY | P TJ

- « First
- ‹ Prev
- …
- 48
- 49
- 50
- 51
- 52